### Method

# WebKit2WebExtension DOMElement get_client_rects

#### Declaration [src]

    WebKitDOMClientRectList*
    webkit_dom_element_get_client_rects (
      WebKitDOMElement* self
    )

#### Description [src]

Returns a collection of `WebKitDOMClientRect` objects, each of which describe the size and position of a CSS border box relative to the viewport.

Available since: | 2.18
Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Return value

Returns: | `WebKitDOMClientRectList`
| A `WebKitDOMClientRectList`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.